#ifndef UTIL_H

#define UTIL_H

#include <gtk/gtk.h>
#include <json-glib/json-glib.h>

// Global App Context
struct app_data {
    GtkListBox *full_list;
    JsonArray *full;
    GtkListBox *quiet_list;
    JsonArray *quiet;
    GtkListBox *silent_list;
    JsonArray *silent;
};

void init_app_data();
struct app_data *get_app_data();
void free_app_data();

char *profile_list_to_name(GtkListBox *);
JsonArray *name_to_profile(char *);

#endif